<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="filter">
    <form class="ui form" th:object="${filter}" id="filter-form" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS_FILTER}}">
      <div class="ui grid">
        <div class="twelve wide column">
          <div class="ui icon search input full-width">
            <input name="searchField" id="searchField" th:field="*{searchQuery}" onkeypress="search(event);" type="text" placeholder="Search epics ... " />
            <i class="search icon"></i>
          </div>
        </div>
        <div class="four wide column grid-column-statistic">
          <div class="statistic">
            <div class="value">
              <i class="small circle icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <th:block th:text="${#authentication.principal?.team?.name}"></th:block>
            </div>
          </div>
        </div>
        <div class="four wide column" th:each="status, stat  : ${statuses}" style="vertical-align: top;">
          <div class="ui relaxed list">
            <div class="item">
              <div class="ui checkbox">
                <input type="checkbox" th:field="*{statuses[__${stat.index}__].id}" th:value="${status.id}">
                <input type="hidden" th:field="*{statuses[__${stat.index}__].name}">
                <label class="nowrap" th:text="${status.name}"></label>
              </div>
            </div>
          </div>
        </div>
      </div>
      <br />
      <button class="ui mini button right floated" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" type="submit">
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLY}}"></span>
      </button>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>
